## ros-crystal-launch-ros 0.7.4

=== debian/changelog ===
ros-crystal-launch-ros (0.7.4-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 02 Apr 2019 07:00:00 -0000

ros-crystal-launch-ros (0.7.3-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 13 Dec 2018 08:00:00 -0000

ros-crystal-launch-ros (0.7.2-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 06 Dec 2018 08:00:00 -0000

ros-crystal-launch-ros (0.7.1-0bionic) bionic; urgency=high

  * Fixed setup.py versions (#155 <https://github.com/ros2/launch/issues/155>)
  * Contributors: Steven! Ragnarök

 -- William Woodall <william@osrfoundation.org>  Fri, 16 Nov 2018 08:00:00 -0000

ros-crystal-launch-ros (0.7.0-0bionic) bionic; urgency=high

  * Renamed transitions to match changes in ``lifecycle_msgs`` (#153 <https://github.com/ros2/launch/issues/153>)
    * TRANSITION_SHUTDOWN was deleted in ``lifecycle_msgs/msg/Transition.msg``
    * Align with the code changes from https://github.com/ros2/rcl_interfaces/commit/852a37ba3ae0f7e58f4314fa432a8ea7f0cbf639
    * Signed-off-by: Chris Ye <mailto:chris.ye@intel.com>
  * Added 'handle_once' property for unregistering an EventHandler after one event (#141 <https://github.com/ros2/launch/issues/141>)
  * Added support for passing parameters as a dictionary to a Node (#138 <https://github.com/ros2/launch/issues/138>)
  * Made various fixes and added tests for remappings passed to Node actions (#137 <https://github.com/ros2/launch/issues/137>)
  * Added ability to pass parameter files to Node actions (#135 <https://github.com/ros2/launch/issues/135>)
  * Added ability to define and pass launch arguments to launch files (#123 <https://github.com/ros2/launch/issues/123>)
    * See changelog in ``launch`` for details.
    * Signed-off-by: William Woodall <mailto:william@osrfoundation.org>
  * Contributors: Chris Ye, Jacob Perron, William Woodall, dhood

 -- William Woodall <william@osrfoundation.org>  Fri, 16 Nov 2018 08:00:00 -0000

ros-crystal-launch-ros (0.6.0-0bionic) bionic; urgency=high

  * Fixed a bug where launch would hang on exit by destroying the rclpy node on shutdown (#124 <https://github.com/ros2/launch/issues/124>)
    * Signed-off-by: William Woodall <mailto:william@osrfoundation.org>
  * Fixed a race condition in emitting events by using loop.call_soon_threadsafe() (#119 <https://github.com/ros2/launch/issues/119>)
    * Signed-off-by: William Woodall <mailto:william@osrfoundation.org>
  * Contributors: William Woodall

 -- William Woodall <william@osrfoundation.org>  Mon, 20 Aug 2018 07:00:00 -0000

ros-crystal-launch-ros (0.5.2-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 17 Jul 2018 07:00:00 -0000

ros-crystal-launch-ros (0.5.1-0bionic) bionic; urgency=high

  * Various Windows fixes. (#87 <https://github.com/ros2/launch/issues/87>)
  * Contributors: William Woodall

 -- William Woodall <william@osrfoundation.org>  Wed, 27 Jun 2018 07:00:00 -0000

ros-crystal-launch-ros (0.5.0-0bionic) bionic; urgency=high

  * Changed to use variable typing in comments to support python 3.5 (#81 <https://github.com/ros2/launch/issues/81>)
  * First commit of the ROS specific launch API (#75 <https://github.com/ros2/launch/issues/75>)
    * ROS specific functionality for the new launch API.
  * Contributors: William Woodall, dhood

 -- William Woodall <william@osrfoundation.org>  Tue, 19 Jun 2018 07:00:00 -0000
