=== debian/control ===
Source: ros-crystal-launch-ros
Section: misc
Priority: extra
Maintainer: William Woodall <william@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), python3-pytest, python3-yaml, ros-crystal-ament-copyright, ros-crystal-ament-flake8, ros-crystal-ament-index-python, ros-crystal-ament-pep257, ros-crystal-launch, ros-crystal-lifecycle-msgs, ros-crystal-osrf-pycommon, ros-crystal-rclpy, ros-crystal-ros-workspace, python3-all, python3-setuptools
Homepage: 
Standards-Version: 3.9.2

Package: ros-crystal-launch-ros
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-yaml, ros-crystal-ament-index-python, ros-crystal-launch, ros-crystal-lifecycle-msgs, ros-crystal-osrf-pycommon, ros-crystal-rclpy, ros-crystal-ros-workspace
Description: ROS specific extensions to the launch tool.
